/*
 * $Id: Priority_transition_load_balancing_priority_only.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Priority/include/Priority.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace priority {
  
#undef  FUNCTION
#define FUNCTION "Priority::transition_load_balancing_priority_only"
  void Priority::transition_load_balancing_priority_only (void)
  {
    log_begin(Priority,FUNCTION);

    for (uint32_t i=0; i<_nb_grp_select; i++)
      {
	uint32_t x=(reg_GRP_PRIORITY+i)%_nb_grp;
	
	_select.push_back(select_t(x,0));
      }
    
    log_end(Priority,FUNCTION);
  };

}; // end namespace priority
}; // end namespace generic
}; // end namespace behavioural
}; // end namespace morpheo              
